Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif
Class ExtensionInfo

    java.lang.Object
      polyglot.frontend.AbstractExtensionInfo
          polyglot.ext.jl.ExtensionInfo
              jif.ExtensionInfo

All Implemented Interfaces:
  polyglot.frontend.ExtensionInfo

    public class ExtensionInfo

extends polyglot.ext.jl.ExtensionInfo

The configuration information of the Jif extension. Compiling passes and corresponding visitors:

- ... clean super barrier, inherited from the jl extension
- rewrite argument labels, `RewriteArgsVisitor`
- add dummy fields, `AddDummyFieldsVisitor`
- clean signatures, inherited from the jl extension
- resolve field labels, `FieldLabelResolver`
- ... check exceptions, inherited from the jl extension
- (barrier) check labels, `LabelChecker`
- serialization
- translation, `JifTranslator`

Nested Class Summary
`static class` | `ExtensionInfo.JifJobExt`

Field Summary
`protected OutputExtensionInfo` | `jlext`
`protected OutputExtensionInfo` | `jlrtext`
`static java.util.Set` | `topics`

Fields inherited from class polyglot.frontend.AbstractExtensionInfo
`compiler, nf, scheduler, source_loader, stats, target_factory, ts`

Constructor Summary
`ExtensionInfo()`

Method Summary
`java.lang.String` | `compilerName()`
`protected polyglot.ast.NodeFactory` | `createNodeFactory()`
`protected polyglot.main.Options` | `createOptions()`
`protected polyglot.frontend.Scheduler` | `createScheduler()`
`protected polyglot.types.TypeSystem` | `createTypeSystem()`
`java.lang.String` | `defaultFileExtension()`
`polyglot.frontend.goals.Goal` | `getCompileGoal(polyglot.frontend.Job job)`
`JifOptions` | `getJifOptions()`
`void` | `initCompiler(polyglot.frontend.Compiler compiler)`
`protected void` | `initTypeSystem()`
`polyglot.frontend.JobExt` | `jobExt()`
`polyglot.frontend.Parser` | `parser(java.io.Reader reader, polyglot.frontend.FileSource source, polyglot.util.ErrorQueue eq)`
`polyglot.main.Version` | `version()`

Methods inherited from class polyglot.frontend.AbstractExtensionInfo
`compiler, defaultFileExtensions, fileExtensions, getOptions, getStats, nodeFactory, scheduler, sourceLoader, targetFactory, toString, typeSystem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### jlext

    protected OutputExtensionInfo jlext

### jlrtext

    protected OutputExtensionInfo jlrtext

### topics

    public static java.util.Set topics

Constructor Detail

### ExtensionInfo

    public ExtensionInfo()

Method Detail

### defaultFileExtension

    public java.lang.String defaultFileExtension()

  Specified by:
    `defaultFileExtension` in interface `polyglot.frontend.ExtensionInfo`
  Overrides:
    `defaultFileExtension` in class `polyglot.ext.jl.ExtensionInfo`

### compilerName

    public java.lang.String compilerName()

  Specified by:
    `compilerName` in interface `polyglot.frontend.ExtensionInfo`
  Overrides:
    `compilerName` in class `polyglot.ext.jl.ExtensionInfo`

### createOptions

    protected polyglot.main.Options createOptions()

  Overrides:
    `createOptions` in class `polyglot.frontend.AbstractExtensionInfo`

### getJifOptions

    public JifOptions getJifOptions()

### createTypeSystem

    protected polyglot.types.TypeSystem createTypeSystem()

  Overrides:
    `createTypeSystem` in class `polyglot.ext.jl.ExtensionInfo`

### initCompiler

    public void initCompiler(polyglot.frontend.Compiler compiler)

  Specified by:
    `initCompiler` in interface `polyglot.frontend.ExtensionInfo`
  Overrides:
    `initCompiler` in class `polyglot.frontend.AbstractExtensionInfo`

### initTypeSystem

    protected void initTypeSystem()

  Overrides:
    `initTypeSystem` in class `polyglot.ext.jl.ExtensionInfo`

### createNodeFactory

    protected polyglot.ast.NodeFactory createNodeFactory()

  Overrides:
    `createNodeFactory` in class `polyglot.ext.jl.ExtensionInfo`

### version

    public polyglot.main.Version version()

  Specified by:
    `version` in interface `polyglot.frontend.ExtensionInfo`
  Overrides:
    `version` in class `polyglot.ext.jl.ExtensionInfo`

### parser

    public polyglot.frontend.Parser parser(java.io.Reader reader,
                                           polyglot.frontend.FileSource source,
                                           polyglot.util.ErrorQueue eq)

  Specified by:
    `parser` in interface `polyglot.frontend.ExtensionInfo`
  Overrides:
    `parser` in class `polyglot.ext.jl.ExtensionInfo`

### jobExt

    public polyglot.frontend.JobExt jobExt()

  Specified by:
    `jobExt` in interface `polyglot.frontend.ExtensionInfo`
  Overrides:
    `jobExt` in class `polyglot.ext.jl.ExtensionInfo`

### createScheduler

    protected polyglot.frontend.Scheduler createScheduler()

  Overrides:
    `createScheduler` in class `polyglot.ext.jl.ExtensionInfo`

### getCompileGoal

    public polyglot.frontend.goals.Goal getCompileGoal(polyglot.frontend.Job job)

  Specified by:
    `getCompileGoal` in interface `polyglot.frontend.ExtensionInfo`
  Overrides:
    `getCompileGoal` in class `polyglot.ext.jl.ExtensionInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD